io.vertx.rabbitmq

## Class QueueOptions

- java.lang.Object
- - io.vertx.rabbitmq.QueueOptions

-     public class QueueOptions
      extends Object

  Aimed to specify queue consumer settings when calling `RabbitMQClient.basicConsumer(String, QueueOptions, Handler)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueOptions()`
    `QueueOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAutoAck()`
    `boolean` | `isKeepMostRecent()`
    `int` | `maxInternalQueueSize()`
    `QueueOptions` | `setAutoAck(boolean autoAck)`
    `QueueOptions` | `setKeepMostRecent(boolean keepMostRecent)`
    `QueueOptions` | `setMaxInternalQueueSize(int maxInternalQueueSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueOptions

          public QueueOptions()

    - #### QueueOptions

          public QueueOptions(JsonObject json)

  - ### Method Detail

    - #### setAutoAck

          public QueueOptions setAutoAck(boolean autoAck)

      Parameters:
        `autoAck` - true if the server should consider messages acknowledged once delivered; false if the server should expect explicit acknowledgements

    - #### setKeepMostRecent

          public QueueOptions setKeepMostRecent(boolean keepMostRecent)

      Parameters:
        `keepMostRecent` - `true` for discarding old messages instead of recent ones, otherwise use `false`

    - #### setMaxInternalQueueSize

          public QueueOptions setMaxInternalQueueSize(int maxInternalQueueSize)

      Parameters:
        `maxInternalQueueSize` - the size of internal queue

    - #### isAutoAck

          public boolean isAutoAck()

      Returns:
        true if the server should consider messages acknowledged once delivered; false if the server should expect explicit acknowledgements

    - #### maxInternalQueueSize

          public int maxInternalQueueSize()

      Returns:
        the size of internal queue

    - #### isKeepMostRecent

          public boolean isKeepMostRecent()

      Returns:
        `true` if old messages will be discarded instead of recent ones, otherwise use `false`

Copyright © 2019 Eclipse. All rights reserved.